#ifndef _ENDPOINTS_H_
#define _ENDPOINTS_H_



#define ICE_USB 24     // page 79

#define  NUM_ENDPOINTS_OLD   0  // Control Protocol
#ifdef __SERIAL_POLL_SUPPORT__
    #define  NUM_ENDPOINTS       3  // SCPI, Serial Poll
    #pragma message("Three endpoints: BULK-IN/OUT, INTERRUPT-IN")
#else
    #define  NUM_ENDPOINTS       2  // SCPI
#endif



void usb_ep_clear_buffers( TENDPOINT_PHY_ADDRESS ep_num_physical );
void usb_EP2_tx_int_func(USB_DEVICE_INFO * udi); 
void usb_EP2_tx_func__(USB_DEVICE_INFO * udi);
void usb_EP2_rx_int_func(USB_DEVICE_INFO * udi);
void usb_EP2_rx_func__(USB_DEVICE_INFO * udi);
#ifdef __SERIAL_POLL_SUPPORT__
  void usb_EP1_tx_int_func( USB_DEVICE_INFO *);
#endif
#ifdef __SERIAL_POLL_SUPPORT__
void usb_config_EP1(void);
#endif
                          
#endif
